export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: '@/pages/user/Login',
          },
        ],
      },
      {
        component: '@/pages/404',
      },
    ],
  },
  {
    path: '/dashboard',
    name: '工作台',
    icon: 'DashboardOutlined',
    component: './dashboard',
  },
  {
    path: '/',
    name: '工作台',//暂定
    redirect: '/resume-work/form',
    hideInMenu: true,
  },
  {
    path: '/org',
    name: '企业管理',
    icon: 'apartment',
    component: '@/layouts/BasicLayout',
    routes: [
      {
        path: '/org/list',
        name: '企业列表',
        component: '@/pages/org/org/index.jsx',
      },
      {
        path: '/org/edit',
        name: '企业维护',
        hideInMenu: true,
        component: '@/pages/org/org/Edit.jsx',
      },
    ],
  },
  {
    path: '/resume-work',
    name: '复工管理',
    icon: 'nodeExpand',
    component: '@/layouts/BasicLayout',
    routes: [
      {
        path: '/resume-work/form',
        name: '复工申请表',
        component: '@/pages/resumework/form/index.jsx',
      },
      {
        path: '/resume-work/abnormal',
        name: '异常复工申请表',
        component: '@/pages/resumework/abnormal/index.jsx',
        hideInMenu:true,
      },
    ],
  },
  // {
  //   path: '/MonitoringScreen',
  //   layout: false,
  //   name: '数据大屏',
  //   icon: 'DesktopOutlined',
  //   component: './MonitoringScreen',
  //   access: 'screen',
  // },
  
  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
